<?php

namespace Litecms\Blog\Forms;

class Blog
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                '2019' => [
                    "type" => 'package::package.formcontrols.at',
                    "label" => trans('blog::blog.label.2019'),
                    "placeholder" => trans('blog::blog.placeholder.2019'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'category_id' => [
                    "type" => 'numeric',
                    "label" => trans('blog::blog.label.category_id'),
                    "placeholder" => trans('blog::blog.placeholder.category_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'title' => [
                    "type" => 'text',
                    "label" => trans('blog::blog.label.title'),
                    "placeholder" => trans('blog::blog.placeholder.title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'details' => [
                    "type" => 'text',
                    "label" => trans('blog::blog.label.details'),
                    "placeholder" => trans('blog::blog.placeholder.details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'images' => [
                    "type" => 'text',
                    "label" => trans('blog::blog.label.images'),
                    "placeholder" => trans('blog::blog.placeholder.images'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'viewcount' => [
                    "type" => 'numeric',
                    "label" => trans('blog::blog.label.viewcount'),
                    "placeholder" => trans('blog::blog.placeholder.viewcount'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'posted_on' => [
                    "type" => 'date_picker',
                    "label" => trans('blog::blog.label.posted_on'),
                    "placeholder" => trans('blog::blog.placeholder.posted_on'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'updated_at)' => [
                    "type" => 'package::package.formcontrols.VALUES',
                    "label" => trans('blog::blog.label.updated_at)'),
                    "placeholder" => trans('blog::blog.placeholder.updated_at)'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '32,' => [
                    "type" => 'package::package.formcontrols.1',
                    "label" => trans('blog::blog.label.32,'),
                    "placeholder" => trans('blog::blog.placeholder.32,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;Skills' => [
                    "type" => 'package::package.formcontrols.That',
                    "label" => trans('blog::blog.label.&#039;Skills'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;Skills'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;&lt;p&gt;Nam' => [
                    "type" => 'package::package.formcontrols.nisl',
                    "label" => trans('blog::blog.label.&#039;&lt;p&gt;Nam'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;&lt;p&gt;Nam'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'dignissim' => [
                    "type" => 'package::package.formcontrols.ac',
                    "label" => trans('blog::blog.label.dignissim'),
                    "placeholder" => trans('blog::blog.placeholder.dignissim'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'scelerisque' => [
                    "type" => 'package::package.formcontrols.eu',
                    "label" => trans('blog::blog.label.scelerisque'),
                    "placeholder" => trans('blog::blog.placeholder.scelerisque'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rutrum' => [
                    "type" => 'package::package.formcontrols.in',
                    "label" => trans('blog::blog.label.rutrum'),
                    "placeholder" => trans('blog::blog.placeholder.rutrum'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tempus' => [
                    "type" => 'package::package.formcontrols.sed',
                    "label" => trans('blog::blog.label.tempus'),
                    "placeholder" => trans('blog::blog.placeholder.tempus'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'in' => [
                    "type" => 'package::package.formcontrols.vehicula',
                    "label" => trans('blog::blog.label.in'),
                    "placeholder" => trans('blog::blog.placeholder.in'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'non' => [
                    "type" => 'package::package.formcontrols.faucibus',
                    "label" => trans('blog::blog.label.non'),
                    "placeholder" => trans('blog::blog.placeholder.non'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'vulputate' => [
                    "type" => 'package::package.formcontrols.volutpat',
                    "label" => trans('blog::blog.label.vulputate'),
                    "placeholder" => trans('blog::blog.placeholder.vulputate'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'at' => [
                    "type" => 'package::package.formcontrols.vulputate',
                    "label" => trans('blog::blog.label.at'),
                    "placeholder" => trans('blog::blog.placeholder.at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quam' => [
                    "type" => 'package::package.formcontrols.vitae',
                    "label" => trans('blog::blog.label.quam'),
                    "placeholder" => trans('blog::blog.placeholder.quam'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'risus' => [
                    "type" => 'package::package.formcontrols.nibh',
                    "label" => trans('blog::blog.label.risus'),
                    "placeholder" => trans('blog::blog.placeholder.risus'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'a' => [
                    "type" => 'package::package.formcontrols.porttitor',
                    "label" => trans('blog::blog.label.a'),
                    "placeholder" => trans('blog::blog.placeholder.a'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tempus' => [
                    "type" => 'package::package.formcontrols.mattis',
                    "label" => trans('blog::blog.label.tempus'),
                    "placeholder" => trans('blog::blog.placeholder.tempus'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'porta' => [
                    "type" => 'package::package.formcontrols.sed',
                    "label" => trans('blog::blog.label.porta'),
                    "placeholder" => trans('blog::blog.placeholder.porta'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'placerat' => [
                    "type" => 'package::package.formcontrols.a',
                    "label" => trans('blog::blog.label.placerat'),
                    "placeholder" => trans('blog::blog.placeholder.placerat'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'elementum' => [
                    "type" => 'package::package.formcontrols.sit',
                    "label" => trans('blog::blog.label.elementum'),
                    "placeholder" => trans('blog::blog.placeholder.elementum'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'varius' => [
                    "type" => 'package::package.formcontrols.et',
                    "label" => trans('blog::blog.label.varius'),
                    "placeholder" => trans('blog::blog.placeholder.varius'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ultricies' => [
                    "type" => 'package::package.formcontrols.vitae',
                    "label" => trans('blog::blog.label.ultricies'),
                    "placeholder" => trans('blog::blog.placeholder.ultricies'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'eleifend' => [
                    "type" => 'package::package.formcontrols.euismod',
                    "label" => trans('blog::blog.label.eleifend'),
                    "placeholder" => trans('blog::blog.placeholder.eleifend'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sagittis' => [
                    "type" => 'package::package.formcontrols.vel',
                    "label" => trans('blog::blog.label.sagittis'),
                    "placeholder" => trans('blog::blog.placeholder.sagittis'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'venenatis' => [
                    "type" => 'package::package.formcontrols.sit',
                    "label" => trans('blog::blog.label.venenatis'),
                    "placeholder" => trans('blog::blog.placeholder.venenatis'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'suscipit' => [
                    "type" => 'package::package.formcontrols.nec',
                    "label" => trans('blog::blog.label.suscipit'),
                    "placeholder" => trans('blog::blog.placeholder.suscipit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'nascetur' => [
                    "type" => 'package::package.formcontrols.ridiculus',
                    "label" => trans('blog::blog.label.nascetur'),
                    "placeholder" => trans('blog::blog.placeholder.nascetur'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27' => [
                    "type" => 'package::package.formcontrols.07',
                    "label" => trans('blog::blog.label.&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,' => [
                    "type" => 'package::package.formcontrols.5',
                    "label" => trans('blog::blog.label.&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;compound-wall&#039;,' => [
                    "type" => 'package::package.formcontrols.1',
                    "label" => trans('blog::blog.label.&#039;compound-wall&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;compound-wall&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;App\\User&#039;,' => [
                    "type" => 'package::package.formcontrols.NULL',
                    "label" => trans('blog::blog.label.&#039;App\\User&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;App\\User&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;2018-02-09' => [
                    "type" => 'package::package.formcontrols.16',
                    "label" => trans('blog::blog.label.&#039;2018-02-09'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;2018-02-09'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;2018-06-27' => [
                    "type" => 'package::package.formcontrols.16',
                    "label" => trans('blog::blog.label.&#039;2018-06-27'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;2018-06-27'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '(33,' => [
                    "type" => 'package::package.formcontrols.1',
                    "label" => trans('blog::blog.label.(33,'),
                    "placeholder" => trans('blog::blog.placeholder.(33,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;Skills' => [
                    "type" => 'package::package.formcontrols.That',
                    "label" => trans('blog::blog.label.&#039;Skills'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;Skills'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;&lt;p&gt;Lorem' => [
                    "type" => 'package::package.formcontrols.ipsum',
                    "label" => trans('blog::blog.label.&#039;&lt;p&gt;Lorem'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;&lt;p&gt;Lorem'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'consectetur' => [
                    "type" => 'package::package.formcontrols.adipiscing',
                    "label" => trans('blog::blog.label.consectetur'),
                    "placeholder" => trans('blog::blog.placeholder.consectetur'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quis' => [
                    "type" => 'package::package.formcontrols.rutrum',
                    "label" => trans('blog::blog.label.quis'),
                    "placeholder" => trans('blog::blog.placeholder.quis'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'at' => [
                    "type" => 'package::package.formcontrols.malesuada',
                    "label" => trans('blog::blog.label.at'),
                    "placeholder" => trans('blog::blog.placeholder.at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'et' => [
                    "type" => 'package::package.formcontrols.ornare',
                    "label" => trans('blog::blog.label.et'),
                    "placeholder" => trans('blog::blog.placeholder.et'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'eu' => [
                    "type" => 'package::package.formcontrols.rhoncus',
                    "label" => trans('blog::blog.label.eu'),
                    "placeholder" => trans('blog::blog.placeholder.eu'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'nascetur' => [
                    "type" => 'package::package.formcontrols.ridiculus',
                    "label" => trans('blog::blog.label.nascetur'),
                    "placeholder" => trans('blog::blog.placeholder.nascetur'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quis' => [
                    "type" => 'package::package.formcontrols.dictum',
                    "label" => trans('blog::blog.label.quis'),
                    "placeholder" => trans('blog::blog.placeholder.quis'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tempor' => [
                    "type" => 'package::package.formcontrols.in',
                    "label" => trans('blog::blog.label.tempor'),
                    "placeholder" => trans('blog::blog.placeholder.tempor'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'porta' => [
                    "type" => 'package::package.formcontrols.in',
                    "label" => trans('blog::blog.label.porta'),
                    "placeholder" => trans('blog::blog.placeholder.porta'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'at' => [
                    "type" => 'package::package.formcontrols.interdum',
                    "label" => trans('blog::blog.label.at'),
                    "placeholder" => trans('blog::blog.placeholder.at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27' => [
                    "type" => 'package::package.formcontrols.07',
                    "label" => trans('blog::blog.label.&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,' => [
                    "type" => 'package::package.formcontrols.5',
                    "label" => trans('blog::blog.label.&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;compound-wall&#039;,' => [
                    "type" => 'package::package.formcontrols.1',
                    "label" => trans('blog::blog.label.&#039;compound-wall&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;compound-wall&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;App\\User&#039;,' => [
                    "type" => 'package::package.formcontrols.NULL',
                    "label" => trans('blog::blog.label.&#039;App\\User&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;App\\User&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;2018-02-09' => [
                    "type" => 'package::package.formcontrols.16',
                    "label" => trans('blog::blog.label.&#039;2018-02-09'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;2018-02-09'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;2018-06-27' => [
                    "type" => 'package::package.formcontrols.11',
                    "label" => trans('blog::blog.label.&#039;2018-06-27'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;2018-06-27'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '(34,' => [
                    "type" => 'package::package.formcontrols.1',
                    "label" => trans('blog::blog.label.(34,'),
                    "placeholder" => trans('blog::blog.placeholder.(34,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;Skills' => [
                    "type" => 'package::package.formcontrols.That',
                    "label" => trans('blog::blog.label.&#039;Skills'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;Skills'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;&lt;p&gt;Lorem' => [
                    "type" => 'package::package.formcontrols.ipsum',
                    "label" => trans('blog::blog.label.&#039;&lt;p&gt;Lorem'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;&lt;p&gt;Lorem'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'consectetur' => [
                    "type" => 'package::package.formcontrols.adipiscing',
                    "label" => trans('blog::blog.label.consectetur'),
                    "placeholder" => trans('blog::blog.placeholder.consectetur'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quis' => [
                    "type" => 'package::package.formcontrols.rutrum',
                    "label" => trans('blog::blog.label.quis'),
                    "placeholder" => trans('blog::blog.placeholder.quis'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'at' => [
                    "type" => 'package::package.formcontrols.malesuada',
                    "label" => trans('blog::blog.label.at'),
                    "placeholder" => trans('blog::blog.placeholder.at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'et' => [
                    "type" => 'package::package.formcontrols.ornare',
                    "label" => trans('blog::blog.label.et'),
                    "placeholder" => trans('blog::blog.placeholder.et'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'eu' => [
                    "type" => 'package::package.formcontrols.rhoncus',
                    "label" => trans('blog::blog.label.eu'),
                    "placeholder" => trans('blog::blog.placeholder.eu'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'nascetur' => [
                    "type" => 'package::package.formcontrols.ridiculus',
                    "label" => trans('blog::blog.label.nascetur'),
                    "placeholder" => trans('blog::blog.placeholder.nascetur'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quis' => [
                    "type" => 'package::package.formcontrols.dictum',
                    "label" => trans('blog::blog.label.quis'),
                    "placeholder" => trans('blog::blog.placeholder.quis'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tempor' => [
                    "type" => 'package::package.formcontrols.in',
                    "label" => trans('blog::blog.label.tempor'),
                    "placeholder" => trans('blog::blog.placeholder.tempor'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'porta' => [
                    "type" => 'package::package.formcontrols.in',
                    "label" => trans('blog::blog.label.porta'),
                    "placeholder" => trans('blog::blog.placeholder.porta'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'at' => [
                    "type" => 'package::package.formcontrols.interdum',
                    "label" => trans('blog::blog.label.at'),
                    "placeholder" => trans('blog::blog.placeholder.at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27' => [
                    "type" => 'package::package.formcontrols.07',
                    "label" => trans('blog::blog.label.&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;[{&quot;title&quot;:&quot;Blog3&quot;,&quot;caption&quot;:&quot;Blog3&quot;,&quot;url&quot;:&quot;Blog3&quot;,&quot;desc&quot;:&quot;&quot;,&quot;folder&quot;:&quot;2018\\/06\\/27\\/075418242\\/images&quot;,&quot;time&quot;:&quot;2018-06-27'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,' => [
                    "type" => 'package::package.formcontrols.5',
                    "label" => trans('blog::blog.label.&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&quot;path&quot;:&quot;blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg&quot;,&quot;file&quot;:&quot;blog3.jpg&quot;}]&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;compound-wall&#039;,' => [
                    "type" => 'package::package.formcontrols.1',
                    "label" => trans('blog::blog.label.&#039;compound-wall&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;compound-wall&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;App\\User&#039;,' => [
                    "type" => 'package::package.formcontrols.NULL',
                    "label" => trans('blog::blog.label.&#039;App\\User&#039;,'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;App\\User&#039;,'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;2018-02-09' => [
                    "type" => 'package::package.formcontrols.16',
                    "label" => trans('blog::blog.label.&#039;2018-02-09'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;2018-02-09'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '&#039;2018-06-27' => [
                    "type" => 'package::package.formcontrols.11',
                    "label" => trans('blog::blog.label.&#039;2018-06-27'),
                    "placeholder" => trans('blog::blog.placeholder.&#039;2018-06-27'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                '10)' => [
                    "type" => 'package::package.formcontrols.unsigned',
                    "label" => trans('blog::blog.label.10)'),
                    "placeholder" => trans('blog::blog.placeholder.10)'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
