<?php

namespace Litecms\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlogTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Blog\Models\Blog $blog)
    {
        return [
            'id'                => $blog->getRouteKey(),
            'key'               => [
                'public'    => $blog->getPublicKey(),
                'route'     => $blog->getRouteKey(),
            ], 
            '2019'              => $blog->2019,
            'category_id'       => $blog->category_id,
            'title'             => $blog->title,
            'details'           => $blog->details,
            'images'            => $blog->images,
            'viewcount'         => $blog->viewcount,
            'posted_on'         => $blog->posted_on,
            'slug'              => $blog->slug,
            'user_id'           => $blog->user_id,
            'user_type'         => $blog->user_type,
            'upload_folder'     => $blog->upload_folder,
            'deleted_at'        => $blog->deleted_at,
            'updated_at)'       => $blog->updated_at),
            '32,'               => $blog->32,,
            ''Skills'           => $blog->'Skills,
            ''<p>Nam'           => $blog->'<p>Nam,
            'dignissim'         => $blog->dignissim,
            'scelerisque'       => $blog->scelerisque,
            'rutrum'            => $blog->rutrum,
            'tempus'            => $blog->tempus,
            'in'                => $blog->in,
            'non'               => $blog->non,
            'vulputate'         => $blog->vulputate,
            'at'                => $blog->at,
            'quam'              => $blog->quam,
            'risus'             => $blog->risus,
            'a'                 => $blog->a,
            'tempus'            => $blog->tempus,
            'porta'             => $blog->porta,
            'placerat'          => $blog->placerat,
            'elementum'         => $blog->elementum,
            'varius'            => $blog->varius,
            'ultricies'         => $blog->ultricies,
            'eleifend'          => $blog->eleifend,
            'sagittis'          => $blog->sagittis,
            'venenatis'         => $blog->venenatis,
            'suscipit'          => $blog->suscipit,
            'nascetur'          => $blog->nascetur,
            ''[{"title":"Blog3","caption":"Blog3","url":"Blog3","desc":"","folder":"2018\\/06\\/27\\/075418242\\/images","time":"2018-06-27' => $blog->'[{"title":"Blog3","caption":"Blog3","url":"Blog3","desc":"","folder":"2018\\/06\\/27\\/075418242\\/images","time":"2018-06-27,
            '"path":"blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg","file":"blog3.jpg"}]',' => $blog->"path":"blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg","file":"blog3.jpg"}]',,
            ''compound-wall','  => $blog->'compound-wall',,
            ''App\\User','      => $blog->'App\\User',,
            ''2018-02-09'       => $blog->'2018-02-09,
            ''2018-06-27'       => $blog->'2018-06-27,
            '(33,'              => $blog->(33,,
            ''Skills'           => $blog->'Skills,
            ''<p>Lorem'         => $blog->'<p>Lorem,
            'consectetur'       => $blog->consectetur,
            'quis'              => $blog->quis,
            'at'                => $blog->at,
            'et'                => $blog->et,
            'eu'                => $blog->eu,
            'nascetur'          => $blog->nascetur,
            'quis'              => $blog->quis,
            'tempor'            => $blog->tempor,
            'porta'             => $blog->porta,
            'at'                => $blog->at,
            ''[{"title":"Blog3","caption":"Blog3","url":"Blog3","desc":"","folder":"2018\\/06\\/27\\/075418242\\/images","time":"2018-06-27' => $blog->'[{"title":"Blog3","caption":"Blog3","url":"Blog3","desc":"","folder":"2018\\/06\\/27\\/075418242\\/images","time":"2018-06-27,
            '"path":"blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg","file":"blog3.jpg"}]',' => $blog->"path":"blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg","file":"blog3.jpg"}]',,
            ''compound-wall','  => $blog->'compound-wall',,
            ''App\\User','      => $blog->'App\\User',,
            ''2018-02-09'       => $blog->'2018-02-09,
            ''2018-06-27'       => $blog->'2018-06-27,
            '(34,'              => $blog->(34,,
            ''Skills'           => $blog->'Skills,
            ''<p>Lorem'         => $blog->'<p>Lorem,
            'consectetur'       => $blog->consectetur,
            'quis'              => $blog->quis,
            'at'                => $blog->at,
            'et'                => $blog->et,
            'eu'                => $blog->eu,
            'nascetur'          => $blog->nascetur,
            'quis'              => $blog->quis,
            'tempor'            => $blog->tempor,
            'porta'             => $blog->porta,
            'at'                => $blog->at,
            ''[{"title":"Blog3","caption":"Blog3","url":"Blog3","desc":"","folder":"2018\\/06\\/27\\/075418242\\/images","time":"2018-06-27' => $blog->'[{"title":"Blog3","caption":"Blog3","url":"Blog3","desc":"","folder":"2018\\/06\\/27\\/075418242\\/images","time":"2018-06-27,
            '"path":"blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg","file":"blog3.jpg"}]',' => $blog->"path":"blog\\/blog\\/2018\\/06\\/27\\/075418242\\/images\\/blog3.jpg","file":"blog3.jpg"}]',,
            ''compound-wall','  => $blog->'compound-wall',,
            ''App\\User','      => $blog->'App\\User',,
            ''2018-02-09'       => $blog->'2018-02-09,
            ''2018-06-27'       => $blog->'2018-06-27,
            '10)'               => $blog->10),
            'url'               => [
                'public'    => trans_url('blog/'.$blog->getPublicKey()),
                'user'      => guard_url('blog/blog/'.$blog->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blog->status),
            'created_at'        => format_date($blog->created_at),
            'updated_at'        => format_date($blog->updated_at),
        ];
    }
}